{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MAP_VOLUME; 
            externalType = NUMBER; 
            name = mapVolume; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = MAP_VOLUME_REPARTI; 
            externalType = NUMBER; 
            name = mapVolumeReparti; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = MPAR_CODE; 
            externalType = VARCHAR2; 
            name = mparCode; 
            valueClassName = NSString; 
            width = 15; 
        }, 
        {
            columnName = MPAR_KEY; 
            externalType = NUMBER; 
            name = mparKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MPAR_LIBELLE; 
            externalType = VARCHAR2; 
            name = mparLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = MSEM_ORDRE; 
            externalType = NUMBER; 
            name = msemOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fannKey, fspnKey, mparKey, msemOrdre); 
    className = EOGenericRecord; 
    classProperties = (
        fannKey, 
        fspnKey, 
        mparKey, 
        mparCode, 
        mparLibelle, 
        msemOrdre, 
        mapVolume, 
        mapVolumeReparti
    ); 
    externalName = V_SCOL_VOLUME_PARCOURS_AUTRE; 
    fetchSpecificationDictionary = {}; 
    name = VScolVolumeParcoursAutre; 
    primaryKeyAttributes = (fannKey, fspnKey, mparKey, msemOrdre); 
}
